<h1 align="center">
	<br>
	<img width="400" src="https://cdn.rawgit.com/sindresorhus/awesome/master/media/logo.svg" alt="awesome">
	<br>
	<br>
	<br>
</h1>

> A curated list of awesome lists

- [What is an awesome list?](awesome.md)
- [Contribution guide](contributing.md)
- [Creating a list](create-list.md)<br><sup>Please take the time to read this and do an actual effort with your list. All the low-quality submissions are burning me out...</sup>
- [Buy a sticker](https://www.stickermule.com/marketplace/10034-awesome)

[![Awesome chat](https://badges.gitter.im/sindresorhus/awesome.svg)](https://gitter.im/sindresorhus/awesome)

-

Check out my [blog](https://blog.sindresorhus.com) and follow me on [Twitter](https://twitter.com/sindresorhus).


## Table of Contents

- [Platforms](#platforms)
- [Programming Languages](#programming-languages)
- [Front-end Development](#front-end-development)
- [Back-end Development](#back-end-development)
- [Computer Science](#computer-science)
- [Big Data](#big-data)
- [Theory](#theory)
- [Books](#books)
- [Editors](#editors)
- [Gaming](#gaming)
- [Development Environment](#development-environment)
- [Entertainment](#entertainment)
- [Databases](#databases)
- [Media](#media)
- [Learn](#learn)
- [Security](#security)
- [Content Management System](#content-management-system)
- [Miscellaneous](#miscellaneous)


## Platforms

- [Node.js](https://github.com/sindresorhus/awesome-nodejs)
- [Frontend Development](https://github.com/dypsilon/frontend-dev-bookmarks)
- [iOS](https://github.com/vsouza/awesome-ios)
- [Android](https://github.com/JStumpp/awesome-android)
- [IoT & Hybrid Apps](https://github.com/weblancaster/awesome-IoT-hybrid)
- [Electron](https://github.com/sindresorhus/awesome-electron)
- [Cordova](https://github.com/busterc/awesome-cordova)
- [React Native](https://github.com/jondot/awesome-react-native)
- [Xamarin](https://github.com/benoitjadinon/awesome-xamarin)
- [Linux](https://github.com/aleksandar-todorovic/awesome-linux)
	- [Containers](https://github.com/Friz-zy/awesome-linux-containers)
- [OS X](https://github.com/iCHAIT/awesome-osx)
	- [Command-Line](https://github.com/herrbischoff/awesome-osx-command-line)
	- [Screensavers](https://github.com/aharris88/awesome-osx-screensavers)
- [watchOS](https://github.com/yenchenlin1994/awesome-watchos)
- [JVM](https://github.com/deephacks/awesome-jvm)
- [Salesforce](https://github.com/mailtoharshit/awesome-salesforce)
- [Amazon Web Services](https://github.com/donnemartin/awesome-aws)
- [Windows](https://github.com/RiseLedger/awesome-windows)
- [IPFS](https://github.com/ipfs/awesome-ipfs)
- [Fuse](https://github.com/vinkla/awesome-fuse)
- [Heroku](https://github.com/ianstormtaylor/awesome-heroku)


## Programming Languages

- [JavaScript](https://github.com/sorrycc/awesome-javascript)
	- [Promises](https://github.com/wbinnssmith/awesome-promises)
	- [Standard Style](https://github.com/feross/awesome-standard)
	- [Must Watch Talks](https://github.com/bolshchikov/js-must-watch)
	- [Tips](https://github.com/loverajoel/jstips)
	- [Network Layer](https://github.com/Kikobeats/awesome-network-js)
	- [Micro npm Packages](https://github.com/parro-it/awesome-micro-npm-packages)
	- [Mad Science npm Packages](https://github.com/feross/awesome-mad-science)
	- [Maintenance Modules](https://github.com/maxogden/maintenance-modules) - For npm packages
	- [npm](https://github.com/sindresorhus/awesome-npm)
	- [AVA](https://github.com/sindresorhus/awesome-ava) - Test runner
	- [ESLint](https://github.com/dustinspecker/awesome-eslint)
- [Swift](https://github.com/matteocrippa/awesome-swift)
	- [Education](https://github.com/hsavit1/Awesome-Swift-Education)
	- [Playgrounds](https://github.com/uraimo/Awesome-Swift-Playgrounds)
- [Python](https://github.com/vinta/awesome-python)
- [Rust](https://github.com/kud1ing/awesome-rust)
- [Haskell](https://github.com/krispo/awesome-haskell)
- [PureScript](https://github.com/passy/awesome-purescript)
- [Go](https://github.com/avelino/awesome-go)
- [Scala](https://github.com/lauris/awesome-scala)
- [Ruby](https://github.com/markets/awesome-ruby)
	- [Events](https://github.com/planetruby/awesome-events)
- [Clojure](https://github.com/razum2um/awesome-clojure)
- [ClojureScript](https://github.com/emrehan/awesome-clojurescript)
- [Elixir](https://github.com/h4cc/awesome-elixir)
- [Elm](https://github.com/isRuslan/awesome-elm)
- [Erlang](https://github.com/drobakowski/awesome-erlang)
- [Julia](https://github.com/svaksha/Julia.jl)
- [Lua](https://github.com/LewisJEllis/awesome-lua)
- [C](https://github.com/aleksandar-todorovic/awesome-c)
- [C/C++](https://github.com/fffaraz/awesome-cpp)
- [R](https://github.com/qinwf/awesome-R)
- [D](https://github.com/zhaopuming/awesome-d)
- [Common Lisp](https://github.com/CodyReichert/awesome-cl)
- [Perl](https://github.com/hachiojipm/awesome-perl)
- [Groovy](https://github.com/kdabir/awesome-groovy)
- [Dart](https://github.com/yissachar/awesome-dart)
- [Java](https://github.com/akullpp/awesome-java)
	- [RxJava](https://github.com/eleventigers/awesome-rxjava)
- [Kotlin](https://github.com/JavaBy/awesome-kotlin)
- [OCaml](https://github.com/rizo/awesome-ocaml)
- [Coldfusion](https://github.com/seancoyne/awesome-coldfusion)
- [Fortran](https://github.com/rabbiabram/awesome-fortran)
- [.NET](https://github.com/quozd/awesome-dotnet)
- [PHP](https://github.com/ziadoz/awesome-php)
- [Delphi](https://github.com/Fr0sT-Brutal/awesome-delphi)
- [Assembler](https://github.com/mat0thew/awesome-asm)
- [AutoHotkey](https://github.com/ahkscript/awesome-AutoHotkey)
- [AutoIt](https://github.com/J2TeaM/awesome-AutoIt)
- [Crystal](https://github.com/veelenga/awesome-crystal)
- [TypeScript](https://github.com/dzharii/awesome-typescript)


## Front-end Development

- [ES6 Tools](https://github.com/addyosmani/es6-tools)
- [Web Performance Optimization](https://github.com/davidsonfellipe/awesome-wpo)
- [Web Tools](https://github.com/lvwzhen/tools)
- [CSS](https://github.com/sotayamashita/awesome-css)
	- [Critical-Path Tools](https://github.com/addyosmani/critical-path-css-tools)
	- [Scalability](https://github.com/davidtheclark/scalable-css-reading-list)
	- [Must-Watch Talks](https://github.com/AllThingsSmitty/must-watch-css)
	- [Protips](https://github.com/AllThingsSmitty/css-protips)
- [React](https://github.com/enaqx/awesome-react)
	- [Relay](https://github.com/expede/awesome-relay)
- [Web Components](https://github.com/mateusortiz/webcomponents-the-right-way)
- [Polymer](https://github.com/Granze/awesome-polymer)
- [Angular 2](https://github.com/AngularClass/awesome-angular2)
- [Angular](https://github.com/gianarb/awesome-angularjs)
- [Backbone](https://github.com/sadcitizen/awesome-backbone)
- [HTML5](https://github.com/diegocard/awesome-html5)
- [SVG](https://github.com/willianjusten/awesome-svg)
- [Canvas](https://github.com/raphamorim/awesome-canvas)
- [KnockoutJS](https://github.com/dnbard/awesome-knockout)
- [Dojo Toolkit](https://github.com/peterkokot/awesome-dojo)
- [Inspiration](https://github.com/NoahBuscher/Inspire)
- [Ember](https://github.com/nmec/awesome-ember)
- [Android UI](https://github.com/wasabeef/awesome-android-ui)
- [iOS UI](https://github.com/cjwirth/awesome-ios-ui)
- [Meteor](https://github.com/Urigo/awesome-meteor)
- [BEM](https://github.com/sturobson/BEM-resources)
- [Flexbox](https://github.com/afonsopacifer/awesome-flexbox)
- [Web Typography](https://github.com/deanhume/typography)
- [Web Accessibility](https://github.com/brunopulis/awesome-a11y)
- [Material Design](https://github.com/sachin1092/awesome-material)
- [D3](https://github.com/wbkd/awesome-d3)
- [Emails](https://github.com/jonathandion/awesome-emails)
- [jQuery](https://github.com/peterkokot/awesome-jquery)
	- [Tips](https://github.com/AllThingsSmitty/jquery-tips-everyone-should-know)
- [Web Audio](https://github.com/notthetup/awesome-webaudio)
- [Offline-First](https://github.com/pazguille/offline-first)
- [Static Website Services](https://github.com/aharris88/awesome-static-website-services)
- [A-Frame VR](https://github.com/aframevr/awesome-aframe) - Virtual reality
- [Cycle.js](https://github.com/vic/awesome-cyclejs)
- [Text Editing](https://github.com/dok/awesome-text-editing)
- [Motion UI Design](https://github.com/fliptheweb/motion-ui-design)
- [Vue.js](https://github.com/vuejs/awesome-vue)
- [Marionette.js](https://github.com/sadcitizen/awesome-marionette)
- [Aurelia](https://github.com/behzad888/awesome-aurelia)
- [Charting](https://github.com/zingchart/awesome-charting)
- [Ionic Framework 2](https://github.com/candelibas/awesome-ionic2)
- [Chrome DevTools](https://github.com/ChromeDevTools/awesome-chrome-devtools)


## Back-end Development

- [Django](https://github.com/rosarior/awesome-django)
- [Flask](https://github.com/humiaozuzu/awesome-flask)
- [Docker](https://github.com/veggiemonk/awesome-docker)
- [Vagrant](https://github.com/iJackUA/awesome-vagrant)
- [Pyramid](https://github.com/uralbash/awesome-pyramid)
- [Play1 Framework](https://github.com/PerfectCarl/awesome-play1)
- [CakePHP](https://github.com/friendsofcake/awesome-cakephp)
- [Symfony](https://github.com/sitepoint/awesome-symfony)
	- [Education](https://github.com/Symfonisti/awesome-symfony-education)
- [Laravel](https://github.com/chiraggude/awesome-laravel)
	- [Education](https://github.com/fukuball/Awesome-Laravel-Education/blob/master/langs/en_US.md)
- [Rails](https://github.com/ekremkaraca/awesome-rails)
	- [Gems](https://github.com/hothero/awesome-rails-gem)
- [Phalcon](https://github.com/sergeyklay/awesome-phalcon)
- [Useful `.htaccess` Snippets](https://github.com/phanan/htaccess)
- [nginx](https://github.com/fcambus/nginx-resources)
- [Dropwizard](https://github.com/stve/awesome-dropwizard)
- [Kubernetes](https://github.com/ramitsurana/awesome-kubernetes)
- [Lumen](https://github.com/unicodeveloper/awesome-lumen)


## Computer Science

- [University Courses](https://github.com/prakhar1989/awesome-courses)
- [Data Science](https://github.com/okulbilisim/awesome-datascience)
- [Machine Learning](https://github.com/josephmisiti/awesome-machine-learning)
	- [Tutorials](https://github.com/ujjwalkarn/Machine-Learning-Tutorials)
- [Speech and Natural Language Processing](https://github.com/edobashira/speech-language-processing)
	- [Spanish](https://github.com/dav009/awesome-spanish-nlp)
- [Linguistics](https://github.com/theimpossibleastronaut/awesome-linguistics)
- [Cryptography](https://github.com/MaciejCzyzewski/retter)
- [Computer Vision](https://github.com/jbhuang0604/awesome-computer-vision)
- [Deep Learning](https://github.com/ChristosChristofidis/awesome-deep-learning) - Neural networks
	- [TensorFlow](https://github.com/jtoy/awesome-tensorflow)
- [Deep Vision](https://github.com/kjw0612/awesome-deep-vision)
- [Open Source Society University](https://github.com/open-source-society/computer-science)
- [Functional Programming](https://github.com/lucasviola/awesome-functional-programming)
- [Static Analysis & Code Quality](https://github.com/mre/awesome-static-analysis)
- [Software-Defined Networking](https://github.com/sdnds-tw/awesome-sdn)


## Big Data

- [Big Data](https://github.com/onurakpolat/awesome-bigdata)
- [Public Datasets](https://github.com/caesar0301/awesome-public-datasets)
- [Hadoop](https://github.com/youngwookim/awesome-hadoop)
- [Data Engineering](https://github.com/igorbarinov/awesome-data-engineering)
- [Streaming](https://github.com/manuzhang/awesome-streaming)


## Theory

- [Papers We Love](https://github.com/papers-we-love/papers-we-love)
- [Talks](https://github.com/JanVanRyswyck/awesome-talks)
- [Algorithms](https://github.com/tayllan/awesome-algorithms)
- [Algorithm Visualizations](https://github.com/enjalot/algovis)
- [Artificial Intelligence](https://github.com/owainlewis/awesome-artificial-intelligence)
- [Search Engine Optimization](https://github.com/marcobiedermann/search-engine-optimization)
- [Competitive Programming](https://github.com/lnishan/awesome-competitive-programming)
- [Math](https://github.com/rossant/awesome-math)


## Books

- [Free Programming Books](https://github.com/vhf/free-programming-books)
- [Free Software Testing Books](https://github.com/ligurio/free-software-testing-books/blob/master/free-software-testing-books.md)
- [Go Books](https://github.com/dariubs/GoBooks)
- [R Books](https://github.com/RomanTsegelskyi/rbooks)
- [Mind Expanding Books](https://github.com/hackerkid/Mind-Expanding-Books)
- [Book Authoring](https://github.com/TalAter/awesome-book-authoring)


## Editors

- [Sublime Text](https://github.com/dreikanter/sublime-bookmarks)
- [Vim](https://github.com/mhinz/vim-galore)
- [Emacs](https://github.com/emacs-tw/awesome-emacs)
- [Atom](https://github.com/mehcode/awesome-atom)
- [Visual Studio Code](https://github.com/viatsko/awesome-vscode)


## Gaming

- [Game Development](https://github.com/ellisonleao/magictools)
- [Game Talks](https://github.com/hzoo/awesome-gametalks)
- [Godot](https://github.com/Calinou/awesome-godot) - Game engine
- [Open Source Games](https://github.com/leereilly/games)
- [Unity](https://github.com/RyanNielson/awesome-unity) - Game engine
- [Chess](https://github.com/hkirat/awesome-chess)
- [LÖVE](https://github.com/JanWerder/awesome-love2d) - Game engine
- [PICO-8](https://github.com/felipebueno/awesome-PICO-8) - Fantasy console


## Development Environment

- [Quick Look Plugins](https://github.com/sindresorhus/quick-look-plugins) - OS X
- [Dev Env](https://github.com/jondot/awesome-devenv)
- [Dotfiles](https://github.com/webpro/awesome-dotfiles)
- [Shell](https://github.com/alebcay/awesome-shell)
- [Command-Line Apps](https://github.com/aharris88/awesome-cli-apps)
- [ZSH Plugins](https://github.com/unixorn/awesome-zsh-plugins)
- [GitHub](https://github.com/phillipadsmith/awesome-github)
	- [Browser Extensions](https://github.com/stefanbuck/awesome-browser-extensions-for-github)
	- [Cheat Sheet](https://github.com/tiimgreen/github-cheat-sheet)
- [Git Cheat Sheet & Git Flow](https://github.com/arslanbilal/git-cheat-sheet)
- [Git Tips](https://github.com/git-tips/tips)
- [Git Add-ons](https://github.com/stevemao/awesome-git-addons)
- [SSH](https://github.com/moul/awesome-ssh)
- [FOSS for Developers](https://github.com/httpsGithubParty/FOSS-for-Dev)


## Entertainment

- [Science Fiction](https://github.com/sindresorhus/awesome-scifi) - Scifi
- [Fantasy](https://github.com/RichardLitt/awesome-fantasy)
- [Podcasts](https://github.com/guipdutra/awesome-geek-podcasts)
- [Email Newsletters](https://github.com/vredniy/awesome-newsletters)


## Databases

- [Database](https://github.com/numetriclabz/awesome-db)
- [MySQL](https://github.com/shlomi-noach/awesome-mysql/blob/gh-pages/index.md)
- [SQLAlchemy](https://github.com/dahlia/awesome-sqlalchemy)
- [InfluxDB](https://github.com/mark-rushakoff/awesome-influxdb)
- [Neo4j](https://github.com/Neueda4j/awesome-neo4j)
- [Doctrine](https://github.com/TomasVotruba/awesome-doctrine) - PHP ORM
- [MongoDB](https://github.com/ramnes/awesome-mongodb)


## Media

- [Creative Commons Media](https://github.com/shime/creative-commons-media)
- [Fonts](https://github.com/brabadu/awesome-fonts)
- [Codeface](https://github.com/chrissimpkins/codeface) - Text editor fonts
- [Stock Resources](https://github.com/neutraltone/awesome-stock-resources)
- [GIF](https://github.com/ibaaj/awesome-gif)
- [Music](https://github.com/ciconia/awesome-music)
- [Open Source Documents](https://github.com/nacyot/awesome-opensource-documents)
- [Audio Visualization](https://github.com/willianjusten/awesome-audio-visualization)


## Learn

- [CLI Workshoppers](https://github.com/therebelrobot/awesome-workshopper) - Interactive tutorials
- [Learn to Program](https://github.com/karlhorky/learn-to-program)
- [Speaking](https://github.com/matteofigus/awesome-speaking)
- [Tech Videos](https://github.com/lucasviola/awesome-tech-videos)
- [Dive into Machine Learning](https://github.com/hangtwenty/dive-into-machine-learning)
- [Computer History](https://github.com/watson/awesome-computer-history)


## Security

- [Application Security](https://github.com/paragonie/awesome-appsec)
- [Security](https://github.com/sbilly/awesome-security)
- [CTF](https://github.com/apsdehal/awesome-ctf) - Capture The Flag
- [Malware Analysis](https://github.com/rshipp/awesome-malware-analysis)
- [Android Security](https://github.com/ashishb/android-security-awesome)
- [Hacking](https://github.com/carpedm20/awesome-hacking)
- [Honeypots](https://github.com/paralax/awesome-honeypots)
- [Incident Response](https://github.com/meirwah/awesome-incident-response)


## Content Management System

- [Umbraco](https://github.com/leekelleher/awesome-umbraco)
- [Refinery CMS](https://github.com/refinerycms-contrib/awesome-refinerycms)


## Miscellaneous

- [JSON](https://github.com/burningtree/awesome-json)
- [Discounts for Student Developers](https://github.com/najela/discount-for-student-dev)
- [Slack](https://github.com/matiassingers/awesome-slack)
	- [Communities](https://github.com/filipelinhares/awesome-slack)
- [Conferences](https://github.com/RichardLitt/awesome-conferences)
- [GeoJSON](https://github.com/tmcw/awesome-geojson)
- [Sysadmin](https://github.com/n1trux/awesome-sysadmin)
- [Radio](https://github.com/kyleterry/awesome-radio)
- [Awesome](https://github.com/sindresorhus/awesome)
- [Analytics](https://github.com/onurakpolat/awesome-analytics)
- [Open Companies](https://github.com/opencompany/awesome-open-company)
- [REST](https://github.com/marmelab/awesome-rest)
- [Selenium](https://github.com/christian-bromann/awesome-selenium)
- [Endangered Languages](https://github.com/RichardLitt/endangered-languages)
- [Continuous Delivery](https://github.com/ciandcd/awesome-ciandcd)
- [Services Engineering](https://github.com/mmcgrana/services-engineering)
- [Free for Developers](https://github.com/ripienaar/free-for-dev)
- [Bitcoin](https://github.com/igorbarinov/awesome-bitcoin)
- [Answers](https://github.com/jugoncalves/awesome-answers) - Stack Overflow, Quora, etc
- [Sketch](https://github.com/diessica/awesome-sketch) - OS X design app
- [Places to Post Your Startup](https://github.com/mmccaff/PlacesToPostYourStartup)
- [PCAPTools](https://github.com/caesar0301/awesome-pcaptools)
- [Remote Jobs](https://github.com/lukasz-madon/awesome-remote-job)
- [Boilerplate Projects](https://github.com/melvin0008/awesome-projects-boilerplates)
- [Readme](https://github.com/matiassingers/awesome-readme)
- [Tools](https://github.com/cjbarber/ToolsOfTheTrade)
- [Styleguides](https://github.com/RichardLitt/awesome-styleguides)
- [Design and Development Guides](https://github.com/NARKOZ/guides)
- [Software Engineering Blogs](https://github.com/kilimchoi/engineering-blogs)
- [Self Hosted](https://github.com/Kickball/awesome-selfhosted)
- [FOSS Production Apps](https://github.com/jwaterfaucett/awesome-foss-apps)
- [Gulp](https://github.com/alferov/awesome-gulp)
- [AMA](https://github.com/sindresorhus/amas) - Ask Me Anything
	- [Answers](https://github.com/stoeffel/awesome-ama-answers)
- [Open Source Photography](https://github.com/ibaaj/awesome-OpenSourcePhotography)
- [OpenGL](https://github.com/eug/awesome-opengl)
- [Productivity](https://github.com/jyguyomarch/awesome-productivity)
- [GraphQL](https://github.com/chentsulin/awesome-graphql)
- [Transit](https://github.com/luqmaan/awesome-transit)
- [Research Tools](https://github.com/emptymalei/awesome-research)
- [Niche Job Boards](https://github.com/wfhio/awesome-job-boards)
- [Data Visualization](https://github.com/fasouto/awesome-dataviz)
- [Social Media Share Links](https://github.com/vinkla/share-links)
- [JSON Datasets](https://github.com/jdorfman/awesome-json-datasets)
- [Microservices](https://github.com/mfornos/awesome-microservices)
- [Unicode Code Points](https://github.com/Codepoints/awesome-codepoints)
- [Internet of Things](https://github.com/HQarroum/awesome-iot)
- [Beginner-Friendly Projects](https://github.com/MunGell/awesome-for-beginners)
- [Bluetooth Beacons](https://github.com/beaconinside/awesome-beacon)
- [Programming Interviews](https://github.com/MaximAbramchuck/awesome-interviews)
- [Ripple](https://github.com/vhpoet/awesome-ripple) - Open source distributed settlement network
- [Katas](https://github.com/gmontalvoriv/awesome-katas)
- [Tools for Activism](https://github.com/drewrwilson/toolsforactivism)
- [TAP](https://github.com/sindresorhus/awesome-tap) - Test Anything Protocol
- [Robotics](https://github.com/Kiloreux/awesome-robotics)
- [MQTT](https://github.com/hobbyquaker/awesome-mqtt) - "Internet of Things" connectivity protocol
- [Hacking Spots](https://github.com/diasdavid/awesome-hacking-spots)
- [For Girls](https://github.com/cristianoliveira/awesome4girls)
- [Vorpal](https://github.com/vorpaljs/awesome-vorpal) - Node.js CLI framework
- [OKR Methodology](https://github.com/domenicosolazzo/awesome-okr) - Goal setting & communication best practices
- [Vulkan](https://github.com/vinjn/awesome-vulkan)
- [LaTeX](https://github.com/egeerardyn/awesome-LaTeX) - Typesetting language
- [Network Analysis](https://github.com/briatte/awesome-network-analysis)
- [Economics](https://github.com/antontarasenko/awesome-economics) - An economist's starter kit


## License

[![CC0](http://mirrors.creativecommons.org/presskit/buttons/88x31/svg/cc-zero.svg)](https://creativecommons.org/publicdomain/zero/1.0/)

To the extent possible under law, [Sindre Sorhus](http://sindresorhus.com) has waived all copyright and related or neighboring rights to this work.
